package ru.yandex.wmconsole.data;

import java.util.Date;

/**
 * Created by IntelliJ IDEA.
 * User: senin
 * Date: 22.03.2007
 * Time: 15:47:26
 */
public class HostDailyStateForCode {
    private final long hostId;
    private final Date stateDate;
    private final int code;
    private final int count;

    public HostDailyStateForCode(long hostId, Date stateDate, int code, int count) {
        this.hostId = hostId;
        this.stateDate = stateDate;
        this.code = code;
        this.count = count;
    }

    public long getHostId() {
        return hostId;
    }

    public Date getStateDate() {
        return stateDate;
    }

    public int getCode() {
        return code;
    }

    public int getCount() {
        return count;
    }
}
